Bug 234586 - www/foswiki: Add missing dependencies. Fix permissions and environment path
Summary: www/foswiki: Add missing dependencies. Fix permissions and environment path
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Steve Wills
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-01-02 23:29 UTC by Sam Chen
Modified: 2019-01-26 12:41 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (portmaster)
koobs: merge-quarterly?


Attachments
Output from scripts and note (1.42 KB, text/plain)
2019-01-02 23:29 UTC, Sam Chen
no flags Details
Patch to Makefile (946 bytes, patch)
2019-01-02 23:30 UTC, Sam Chen
no flags Details | Diff
Patch to bsd.foswiki.mk (426 bytes, patch)
2019-01-02 23:30 UTC, Sam Chen
no flags Details | Diff
Patch to pkg-message-noapache.in (559 bytes, patch)
2019-01-02 23:31 UTC, Sam Chen
no flags Details | Diff
New patch-tools_fix_file_permissions.sh (596 bytes, patch)
2019-01-02 23:31 UTC, Sam Chen
no flags Details | Diff
New pkg-install.in (393 bytes, patch)
2019-01-02 23:32 UTC, Sam Chen
no flags Details | Diff
Patch set for www/foswiki (3.72 KB, patch)
2019-01-04 04:02 UTC, Sam Chen
koobs: maintainer-approval? (portmaster)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sam Chen 2019-01-02 23:29:21 UTC
Created attachment 200727 [details]
Output from scripts and note

The current foswiki-2.1.6 port needs a few manual tweaks to function.  Here are issues that revealed while following the foswiki.org/System/InstallGuide:

* Missing dependencies reported by the "tools/configure -check" script, and in Wiki configure page.
* FreeBSD specific option needs to be set in "tools_fix_file_permissions.sh".
* Ownership of /usr/local/www/foswiki should be www:www to allow writes.
* An Apache 2.4 config need to be generated, since FreeBSD port apache22 is EOL.
Comment 1 Sam Chen 2019-01-02 23:30:05 UTC
Created attachment 200728 [details]
Patch to Makefile
Comment 2 Sam Chen 2019-01-02 23:30:37 UTC
Created attachment 200729 [details]
Patch to bsd.foswiki.mk
Comment 3 Sam Chen 2019-01-02 23:31:09 UTC
Created attachment 200730 [details]
Patch to pkg-message-noapache.in
Comment 4 Sam Chen 2019-01-02 23:31:45 UTC
Created attachment 200731 [details]
New patch-tools_fix_file_permissions.sh
Comment 5 Sam Chen 2019-01-02 23:32:09 UTC
Created attachment 200733 [details]
New pkg-install.in
Comment 6 Sam Chen 2019-01-02 23:32:46 UTC
I've coded/noted the manual tweaks in my local foswiki port Makefile set.  Patches to files are attached.  It builds from scratch, locally just fine.  But please review the changes carefully, since I'm new at this FreeBSD code lingo.  Thanks.
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2019-01-03 04:44:47 UTC
Thank you for the report and patches Sam

If you could combine all the patches to the port (www/foswiki/*) into a single unified diff that would be great.

For any patches to the foswiki source code (such as tools/fix_file_permissions.sh), these need to take the form of an addition of a patch-* file to the files/ port directory.

You can do this using the 'makepatch' target which will automatically create them in the right place/format. For instructions see:

https://www.freebsd.org/doc/en/books/porters-handbook/book.html#slow-patch

Basically:

1) make patch
2) cd to the WRKSRC dir where the sources are extracted
3) cp <file> <file>.orig
4) make changes to <file>
5) go back to the port dir and `make makepatch`

This will produce a files/patch-* file for each <file> <file>.orig combination in the WRKSRC dir
Comment 8 Sam Chen 2019-01-04 03:56:22 UTC
Good eyesight, Kubilay.  Your comment on 'makepath' target and link to the Porter's Handbook is very helpful.  Thank you.

Please find attached the single file with all patches.
Comment 9 Sam Chen 2019-01-04 04:02:29 UTC
Created attachment 200759 [details]
Patch set for www/foswiki
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2019-01-04 04:12:13 UTC
(In reply to Sam Chen from comment #8)

You're welcome Sam and thank you for updating those patches.
Comment 11 commit-hook freebsd_committer 2019-01-26 12:40:49 UTC
A commit references this bug:

Author: swills
Date: Sat Jan 26 12:40:46 UTC 2019
New revision: 491274
URL: https://svnweb.freebsd.org/changeset/ports/491274

Log:
  www/foswiki: cleanup

  * Add missing dependencies
  * Fix permissions

  PR:		234586
  Submitted by:	Sam Chen <sc.gear@one.caeon.com>
  Approved by:	maintainer timeout (portmaster@bsdforge.com, >2 weeks)

Changes:
  head/www/foswiki/Makefile
  head/www/foswiki/bsd.foswiki.mk
  head/www/foswiki/files/patch-tools_fix__file__permissions.sh
  head/www/foswiki/files/pkg-install.in
  head/www/foswiki/files/pkg-message-noapache.in
Comment 12 Steve Wills freebsd_committer 2019-01-26 12:41:56 UTC
Committed, thanks!